<script>

  function chkBefore() { {*PDF出力前チェック*}
    var errflg = false;
    var frmh = $("#headerTop");
    var frm = $(this).closest(".contents").find(".header");
    common.clearFormError(frm);
    var  wprompt;

    {*入力チェック*}
    if(stringUtil.isEmpty(frmh.find(".dat").val())) {
      errflg = true;
      common.addError(frmh.find(".dat"),"入力して下さい" , null, true);
    }

    return errflg;
    
  }

  function make_ai203x(p_mode) {
    var frmh = $("#headerTop");

    var name ="【担当者別ログイン平均時間】出力";
    let errflg = false;
    
    errflg = chkBefore();
    if (errflg) {
      alert('エラーがあります');
    } else {
      if(window.confirm(name+"を行います。\nよろしいですか？")) {
        var frmh = $("#headerTop");
        var dat = common.getValue(frmh.find(".dat"));
    
        let param2 = { "method": "GetWseqMjan" };
        let irep = "AI203X";
    
        $.ajax({
          type: "GET",
          url: "../../api/getWseq.php",
          data: param2,
          dataType: "json",
          scriptCharset: 'utf-8',
          success: function(data, status, xhr) {
            var wurl = "{$_REPORT_URL}" + "AF999I?WSEQ="+ JSON.parse(data.data)
                    + "&IREP=" + irep
                    + "&CHGCD=" + "{$_SYSTEM_NAME_EN_CHGCD}"
                    + "&KTKTCD=" + "{$_SYSTEM_NAME_EN_LGKTKTCD}"
                    + "&VEND=" + "{$_SYSTEM_NAME_EN_VEND}"
                    + "&ACCD=" + "{$_SYSTEM_NAME_EN_ACCD}"
                    + "&DBNO=" + "{$_SYSTEM_NO}"
                    + "&JOKEN1=" + dat
                    + '&PDF=1';
            window.open(wurl, irep+JSON.parse(data.data));
          }
        });
      }
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/

    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 PDF
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      make_ai203x();
    });
    //　F10 CSV
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click');
    });

    //画面初期表示時動作

    //MENUボタン===============================
    $(document).on("focus", ".header .dummy", function(e) {
      $("#topmenu").find(".Func9").focus();
    });

    $("#headerTop").find(".keycd").focus();
 

    //====明細行動作======

  });

</script>
